/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira.drafts
 */

package net.ranides.assira.reflection;

import java.util.function.Function;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
final class Hello implements Function<Float, Double> {

	private final double i;

	public Hello(double i) {
		this.i = i;
	}

	@Override
	public Double apply(Float t) {
		return i * t;
	}

	public double getI() {
		return i;
	}

}
